package com.care.bms.mqtt;


import com.care.bms.service.MqttMsgService;
import org.eclipse.paho.client.mqttv3.IMqttMessageListener;
import org.eclipse.paho.client.mqttv3.MqttMessage;

import java.util.Map;


/**
 * 订阅信息监听类
 */
public class MqttMessageListener implements IMqttMessageListener {
    private MqttMsgService mqttMsgService;

    private Map<String,Thread> threadMap;
    public void setMqttMsgService(MqttMsgService mqttMsgService) {
        this.mqttMsgService = mqttMsgService;
    }

    public void setThreadMap(Map<String, Thread> threadMap) {
        this.threadMap = threadMap;
    }

    @Override
    public void messageArrived(String topic, MqttMessage mqttMessage) throws Exception {
//        System.out.println(mqttMessage.getId());
//        System.out.println(mqttMessage.getPayload());
//        System.out.println(mqttMessage.getQos());
//        System.out.println(mqttMessage.isRetained());
//        System.out.println(mqttMessage.isDuplicate());
        String mqttMessageStr = mqttMessage.toString();
        System.out.println("mqttMessageStr == " + mqttMessageStr);
        if(mqttMessageStr == null || !mqttMessageStr.startsWith("{")){
            return;
        }
        mqttMsgService.handleMessage(threadMap,topic,mqttMessageStr);
    }


}
